package DeWeave::BO::Client;
use Moose;
use namespace::autoclean;
use MooseX::Types::Moose qw(Str ArrayRef);

extends 'DeWeave::EDO';

has name => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has type => (
    isa => Str,
    required => 1,
    is => 'ro',
);

has commands => (
    isa => ArrayRef[Str],
    required => 0,
    is => 'ro',
);

1;
